| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::OutputElementDefinitionDto Class Reference

DTO (data transfer object) for data output element definition. More...

Inheritance diagram for IG::Num::OutputElementDefinitionDto:
[legend]
Collaboration diagram for IG::Num::OutputElementDefinitionDto:
[legend]

List of all members.

## Public Member Functions
| OutputElementDefinitionDto ()
override OutputElementDefinition | CreateObject ()
| Creates and returns an object consistent with current DTO.
## Protected Member Functions
override void | CopyFromPlain (InputOutputElementDefinition obj)
| Copies data from the specified object to the current DTO (data transfer object).
override void | CopyToPlain (ref InputOutputElementDefinition obj)
| Copies data from the current DTO to the specified object.

## Detailed Description

DTO (data transfer object) for data output element definition.

$A Ifor Mar11;

## Constructor & Destructor Documentation

IG::Num::OutputElementDefinitionDto::OutputElementDefinitionDto | ( |  | ) | `[inline]`

## Member Function Documentation

override OutputElementDefinition IG::Num::OutputElementDefinitionDto::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns an object consistent with current DTO.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

override void IG::Num::OutputElementDefinitionDto::CopyFromPlain | ( | InputOutputElementDefinition | obj | ) | `[inline, protected]`

Copies data from the specified object to the current DTO (data transfer object).

Parameters:

  obj | Object that data is copied from.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

override void IG::Num::OutputElementDefinitionDto::CopyToPlain | ( | ref InputOutputElementDefinition | obj | ) | `[inline, protected]`

Copies data from the current DTO to the specified object.

Parameters:

  obj | Object that data is copied to.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

The documentation for this class was generated from the following file:

- SampledDataDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events